"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useBoolean = useBoolean;
const react_1 = require("react");
function useBoolean(defaultValue) {
    const [value, setValue] = (0, react_1.useState)(!!defaultValue);
    const onTrue = (0, react_1.useCallback)(() => {
        setValue(true);
    }, []);
    const onFalse = (0, react_1.useCallback)(() => {
        setValue(false);
    }, []);
    const onToggle = (0, react_1.useCallback)(() => {
        setValue((prev) => !prev);
    }, []);
    return {
        value,
        onTrue,
        onFalse,
        onToggle,
        setValue,
    };
}
